Public | Automated Build

Last pushed: 2 years ago
Short Description
API for improv.ee
Full Description

improv.ee API





This is the API behind improv.ee. It is still in development.

Requirements

  • PHP >= 7.0
  • ext-pdo
  • ext-openssl
  • ext-mbstring

Docker and Docker Compose runtime environment is assumed although not required.

Install

TODO

Migrating the Database

The initial setup involves database migration and optionally, seeding.

Assuming that the project runs in a Docker container...

  • Go into the container: docker exec -it <name> bash
  • Migrate the database: ./artisan migrate
  • Seed the database: ./artisan db:seed

Testing

$ vendor/bin/phpunit

License

Apache2 license. You can do what you like with the software, as long as you include the required notices.

Docker Pull Command
Owner
improv
Source Repository